Sites
Update a collection
Send the full `fields` list. Removing a field keeps its stored values on items. `jsonLd` null removes it.
Send the full fields list. Removing a field keeps its stored values on items. jsonLd null removes it.
x-api-key<token>
In: header
Path Parameters
siteId*string
collectionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/sites/string/collections/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "name": "string", "slug": "string", "templatePageId": "string", "fields": [ { "key": "string", "label": "string", "type": "text", "required": true, "helpText": "string", "options": [ "string" ], "referenceCollectionId": "string", "itemFields": [ { "key": "string", "label": "string", "type": "text" } ] } ], "jsonLd": { "type": "DefinedTerm", "map": { "property1": "string", "property2": "string" } }, "itemCount": 0, "sortOrder": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs